# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/ebay/search?engine=ebay_search' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/ebay/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/ebay/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/ebay/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/ebay/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/ebay/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/ebay/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/ebay/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"search_metadata": {
"id": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"request_time_taken": 123,
"parsing_time_taken": 123,
"total_time_taken": 123,
"request_url": "<string>",
"html_url": "<string>",
"json_url": "<string>"
},
"search_parameters": {
"engine": "<string>",
"q": "<string>",
"category_id": 123,
"ebay_domain": "<string>",
"country": "<string>",
"layout": "<string>",
"buying_format": "<string>",
"condition": "<string>",
"delivery_country": "<string>",
"postal_code": "<string>",
"distance_radius": 123,
"product_origin_country": "<string>",
"sort_by": "<string>",
"price_min": 123,
"price_max": 123,
"filters": "<string>",
"advanced_filters": "<string>",
"page": 123,
"num": 123,
"include_related_results": "<string>"
},
"search_information": {
"query_displayed": "<string>",
"category_displayed": "<string>",
"total_results": 123,
"sorted_by": "<string>",
"filters_applied": [
"<string>"
],
"buying_format": "<string>",
"shipping_to": "<string>",
"language": "<string>",
"notice": "<string>"
},
"categories": [
{
"name": "<string>",
"link": "<string>",
"category_id": "<string>",
"is_selected": true,
"subcategories": "<array>"
}
],
"filters": [
{
"options": [
{
"text": "<string>",
"items": 123,
"is_selected": true,
"link": "<string>",
"type": "<string>"
}
],
"type": "<string>"
}
],
"organic_results": [
{
"position": 123,
"product_id": "<string>",
"item_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"tag": "<string>",
"link": "<string>",
"seller": {
"name": "<string>",
"reviews": 123,
"positive_feedback_percent": 123,
"is_top_rated_plus": true,
"is_direct_from_seller": true,
"thumbnail": "<string>"
},
"brand": "<string>",
"condition": "<string>",
"extensions": [
"<string>"
],
"authenticity": "<string>",
"is_sponsored": true,
"rating": 123,
"reviews": 123,
"reviews_link": "<string>",
"buying_format": "<string>",
"is_best_offer": true,
"is_buy_it_now": true,
"is_auction": true,
"price": "<string>",
"extracted_price": 123,
"extracted_price_range": {
"from": 123,
"to": 123
},
"is_price_range": true,
"original_price": "<string>",
"extracted_original_price": 123,
"unit_price": "<string>",
"extracted_unit_price": 123,
"bids": 123,
"time_left": "<string>",
"deal": "<string>",
"discount": "<string>",
"items_sold": "<string>",
"extracted_items_sold": 123,
"stock": "<string>",
"watching": "<string>",
"extracted_watching": 123,
"shipping": "<string>",
"extracted_shipping": 123,
"shipping_details": "<string>",
"is_free_return": true,
"is_in_psa_vault": true,
"trending": "<string>",
"thumbnail": "<string>",
"images": [
"<string>"
]
}
],
"related_results": [
{
"position": 123,
"product_id": "<string>",
"item_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"tag": "<string>",
"link": "<string>",
"seller": {
"name": "<string>",
"reviews": 123,
"positive_feedback_percent": 123,
"is_top_rated_plus": true,
"is_direct_from_seller": true,
"thumbnail": "<string>"
},
"brand": "<string>",
"condition": "<string>",
"extensions": [
"<string>"
],
"authenticity": "<string>",
"is_sponsored": true,
"rating": 123,
"reviews": 123,
"reviews_link": "<string>",
"buying_format": "<string>",
"is_best_offer": true,
"is_buy_it_now": true,
"is_auction": true,
"price": "<string>",
"extracted_price": 123,
"extracted_price_range": {
"from": 123,
"to": 123
},
"is_price_range": true,
"original_price": "<string>",
"extracted_original_price": 123,
"unit_price": "<string>",
"extracted_unit_price": 123,
"bids": 123,
"time_left": "<string>",
"deal": "<string>",
"discount": "<string>",
"items_sold": "<string>",
"extracted_items_sold": 123,
"stock": "<string>",
"watching": "<string>",
"extracted_watching": 123,
"shipping": "<string>",
"extracted_shipping": 123,
"shipping_details": "<string>",
"is_free_return": true,
"is_in_psa_vault": true,
"trending": "<string>",
"thumbnail": "<string>",
"images": [
"<string>"
]
}
],
"sections": [
{
"title": "<string>",
"subtitle": "<string>",
"is_sponsored": true,
"has_items": true,
"results": [
{
"position": 123,
"title": "<string>",
"link": "<string>",
"category_id": "<string>",
"release_date": "<string>",
"thumbnail": "<string>"
}
]
}
],
"related_searches": [
{
"query": "<string>",
"link": "<string>"
}
],
"pagination": {
"current": 123,
"previous": "<string>",
"next": "<string>",
"other_pages": {}
},
"error": "<string>"
}eBay Search API -test
# Fixed reference example. Playground inputs do not update this sample.
curl --request GET \
--url 'https://api.aisa.one/apis/v1/ebay/search?engine=ebay_search' \
--header 'Authorization: Bearer <token>'curl --request GET \
--url https://api.aisa.one/apis/v1/ebay/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/ebay/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/ebay/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/ebay/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/ebay/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aisa.one/apis/v1/ebay/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/ebay/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"search_metadata": {
"id": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"request_time_taken": 123,
"parsing_time_taken": 123,
"total_time_taken": 123,
"request_url": "<string>",
"html_url": "<string>",
"json_url": "<string>"
},
"search_parameters": {
"engine": "<string>",
"q": "<string>",
"category_id": 123,
"ebay_domain": "<string>",
"country": "<string>",
"layout": "<string>",
"buying_format": "<string>",
"condition": "<string>",
"delivery_country": "<string>",
"postal_code": "<string>",
"distance_radius": 123,
"product_origin_country": "<string>",
"sort_by": "<string>",
"price_min": 123,
"price_max": 123,
"filters": "<string>",
"advanced_filters": "<string>",
"page": 123,
"num": 123,
"include_related_results": "<string>"
},
"search_information": {
"query_displayed": "<string>",
"category_displayed": "<string>",
"total_results": 123,
"sorted_by": "<string>",
"filters_applied": [
"<string>"
],
"buying_format": "<string>",
"shipping_to": "<string>",
"language": "<string>",
"notice": "<string>"
},
"categories": [
{
"name": "<string>",
"link": "<string>",
"category_id": "<string>",
"is_selected": true,
"subcategories": "<array>"
}
],
"filters": [
{
"options": [
{
"text": "<string>",
"items": 123,
"is_selected": true,
"link": "<string>",
"type": "<string>"
}
],
"type": "<string>"
}
],
"organic_results": [
{
"position": 123,
"product_id": "<string>",
"item_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"tag": "<string>",
"link": "<string>",
"seller": {
"name": "<string>",
"reviews": 123,
"positive_feedback_percent": 123,
"is_top_rated_plus": true,
"is_direct_from_seller": true,
"thumbnail": "<string>"
},
"brand": "<string>",
"condition": "<string>",
"extensions": [
"<string>"
],
"authenticity": "<string>",
"is_sponsored": true,
"rating": 123,
"reviews": 123,
"reviews_link": "<string>",
"buying_format": "<string>",
"is_best_offer": true,
"is_buy_it_now": true,
"is_auction": true,
"price": "<string>",
"extracted_price": 123,
"extracted_price_range": {
"from": 123,
"to": 123
},
"is_price_range": true,
"original_price": "<string>",
"extracted_original_price": 123,
"unit_price": "<string>",
"extracted_unit_price": 123,
"bids": 123,
"time_left": "<string>",
"deal": "<string>",
"discount": "<string>",
"items_sold": "<string>",
"extracted_items_sold": 123,
"stock": "<string>",
"watching": "<string>",
"extracted_watching": 123,
"shipping": "<string>",
"extracted_shipping": 123,
"shipping_details": "<string>",
"is_free_return": true,
"is_in_psa_vault": true,
"trending": "<string>",
"thumbnail": "<string>",
"images": [
"<string>"
]
}
],
"related_results": [
{
"position": 123,
"product_id": "<string>",
"item_id": "<string>",
"title": "<string>",
"subtitle": "<string>",
"tag": "<string>",
"link": "<string>",
"seller": {
"name": "<string>",
"reviews": 123,
"positive_feedback_percent": 123,
"is_top_rated_plus": true,
"is_direct_from_seller": true,
"thumbnail": "<string>"
},
"brand": "<string>",
"condition": "<string>",
"extensions": [
"<string>"
],
"authenticity": "<string>",
"is_sponsored": true,
"rating": 123,
"reviews": 123,
"reviews_link": "<string>",
"buying_format": "<string>",
"is_best_offer": true,
"is_buy_it_now": true,
"is_auction": true,
"price": "<string>",
"extracted_price": 123,
"extracted_price_range": {
"from": 123,
"to": 123
},
"is_price_range": true,
"original_price": "<string>",
"extracted_original_price": 123,
"unit_price": "<string>",
"extracted_unit_price": 123,
"bids": 123,
"time_left": "<string>",
"deal": "<string>",
"discount": "<string>",
"items_sold": "<string>",
"extracted_items_sold": 123,
"stock": "<string>",
"watching": "<string>",
"extracted_watching": 123,
"shipping": "<string>",
"extracted_shipping": 123,
"shipping_details": "<string>",
"is_free_return": true,
"is_in_psa_vault": true,
"trending": "<string>",
"thumbnail": "<string>",
"images": [
"<string>"
]
}
],
"sections": [
{
"title": "<string>",
"subtitle": "<string>",
"is_sponsored": true,
"has_items": true,
"results": [
{
"position": 123,
"title": "<string>",
"link": "<string>",
"category_id": "<string>",
"release_date": "<string>",
"thumbnail": "<string>"
}
]
}
],
"related_searches": [
{
"query": "<string>",
"link": "<string>"
}
],
"pagination": {
"current": 123,
"previous": "<string>",
"next": "<string>",
"other_pages": {}
},
"error": "<string>"
}Request contract
- Method and path: GET /apis/v1/ebay/search
- Request URL template: https://api.aisa.one/apis/v1/ebay/search
- advanced_filters: query; optional
- buying_format: query; optional
- category_id: query; optional
- condition: query; optional
- country: query; optional
- delivery_country: query; optional
- distance_radius: query; optional
- ebay_domain: query; optional
- engine: query; required
- filters: query; optional
- include_related_results: query; optional
- layout: query; optional
- num: query; optional
- page: query; optional
- postal_code: query; optional
- preferred_location: query; optional
- price_max: query; optional
- price_min: query; optional
- product_origin_country: query; optional
- q: query; optional
- sort_by: query; optional
- Runtime facts: 7856a6c3cdb43dbf15e31461496a037f7df2217d189dadb9d27f406316aa651d
{
"operationId": "any_youtube_apis_v1_ebay_search",
"method": "GET",
"path": "/apis/v1/ebay/search",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [
{
"name": "advanced_filters",
"in": "query",
"required": false,
"description": "Comma-separated list of advanced filters in key=value format",
"schema": {
"type": "string"
}
},
{
"name": "buying_format",
"in": "query",
"required": false,
"description": "Buying format filter",
"schema": {
"type": "string",
"enum": [
"auction",
"buy_it_now",
"best_offer"
]
}
},
{
"name": "category_id",
"in": "query",
"required": false,
"description": "Category ID to search within. Either 'q' or 'category_id' must be present",
"schema": {
"type": "integer"
}
},
{
"name": "condition",
"in": "query",
"required": false,
"description": "Comma-separated list of item conditions",
"schema": {
"type": "string",
"pattern": "^(new|new_opened|like_new|new_with_defects|pre_owned_fair|pre_owned_excellent|used_very_good|used_good|used_acceptable|certified_refurbished|excellent_refurbished|very_good_refurbished|good_refurbished|seller_refurbished|for_parts_or_not_working|not_specified)(,(new|new_opened|like_new|new_with_defects|pre_owned_fair|pre_owned_excellent|used_very_good|used_good|used_acceptable|certified_refurbished|excellent_refurbished|very_good_refurbished|good_refurbished|seller_refurbished|for_parts_or_not_working|not_specified))*$"
}
},
{
"name": "country",
"in": "query",
"required": false,
"description": "ISO 3166-1 alpha-2 country code",
"schema": {
"type": "string",
"enum": [
"US",
"CA",
"GB",
"AF",
"AL",
"DZ",
"AS",
"AD",
"AO",
"AI",
"AG",
"AR",
"AM",
"AW",
"AU",
"AT",
"AZ",
"BS",
"BH",
"BD",
"BB",
"BY",
"BE",
"BZ",
"BJ",
"BM",
"BT",
"BO",
"BA",
"BW",
"BR",
"VG",
"BN",
"BG",
"BF",
"BI",
"KH",
"CM",
"CV",
"KY",
"CF",
"TD",
"CL",
"CN",
"CO",
"KM",
"CD",
"CG",
"CK",
"CR",
"CI",
"HR",
"CY",
"CZ",
"DK",
"DJ",
"DM",
"DO",
"EC",
"EG",
"SV",
"GQ",
"ER",
"EE",
"ET",
"FK",
"FJ",
"FI",
"FR",
"GF",
"PF",
"GA",
"GM",
"GE",
"DE",
"GH",
"GI",
"GR",
"GL",
"GD",
"GP",
"GU",
"GT",
"GG",
"GN",
"GW",
"GY",
"HT",
"HN",
"HK",
"HU",
"IS",
"IN",
"ID",
"IR",
"IQ",
"IE",
"IL",
"IT",
"JM",
"JP",
"JE",
"JO",
"KZ",
"KE",
"KI",
"KR",
"KW",
"KG",
"LA",
"LV",
"LB",
"LI",
"LT",
"LU",
"MO",
"MK",
"MG",
"MW",
"MY",
"MV",
"ML",
"MT",
"MH",
"MQ",
"MR",
"MU",
"YT",
"MX",
"MD",
"MC",
"MN",
"MS",
"MA",
"MZ",
"MM",
"NA",
"NR",
"NP",
"NL",
"NC",
"NZ",
"NI",
"NE",
"NG",
"NU",
"NO",
"OM",
"PK",
"PW",
"PA",
"PG",
"PY",
"PE",
"PH",
"PL",
"PT",
"PR",
"QA",
"RO",
"RU",
"RW",
"SH",
"KN",
"LC",
"PM",
"VC",
"SM",
"SA",
"SN",
"SC",
"SL",
"SG",
"SK",
"SI",
"SB",
"SO",
"ZA",
"ES",
"LK",
"SR",
"SZ",
"SE",
"CH",
"TW",
"TJ",
"TZ",
"TH",
"TG",
"TO",
"TT",
"TN",
"TR",
"TM",
"TC",
"TV",
"UG",
"UA",
"AE",
"UY",
"UZ",
"VU",
"VA",
"VE",
"VN",
"VI",
"WF",
"EH",
"WS",
"YE",
"FM",
"RE",
"ME",
"RS"
]
}
},
{
"name": "delivery_country",
"in": "query",
"required": false,
"description": "Delivery country ISO 3166-1 alpha-2 code",
"schema": {
"type": "string",
"enum": [
"US",
"CA",
"GB",
"AF",
"AL",
"DZ",
"AS",
"AD",
"AO",
"AI",
"AG",
"AR",
"AM",
"AW",
"AU",
"AT",
"AZ",
"BS",
"BH",
"BD",
"BB",
"BY",
"BE",
"BZ",
"BJ",
"BM",
"BT",
"BO",
"BA",
"BW",
"BR",
"VG",
"BN",
"BG",
"BF",
"BI",
"KH",
"CM",
"CV",
"KY",
"CF",
"TD",
"CL",
"CN",
"CO",
"KM",
"CD",
"CG",
"CK",
"CR",
"CI",
"HR",
"CY",
"CZ",
"DK",
"DJ",
"DM",
"DO",
"EC",
"EG",
"SV",
"GQ",
"ER",
"EE",
"ET",
"FK",
"FJ",
"FI",
"FR",
"GF",
"PF",
"GA",
"GM",
"GE",
"DE",
"GH",
"GI",
"GR",
"GL",
"GD",
"GP",
"GU",
"GT",
"GG",
"GN",
"GW",
"GY",
"HT",
"HN",
"HK",
"HU",
"IS",
"IN",
"ID",
"IR",
"IQ",
"IE",
"IL",
"IT",
"JM",
"JP",
"JE",
"JO",
"KZ",
"KE",
"KI",
"KR",
"KW",
"KG",
"LA",
"LV",
"LB",
"LI",
"LT",
"LU",
"MO",
"MK",
"MG",
"MW",
"MY",
"MV",
"ML",
"MT",
"MH",
"MQ",
"MR",
"MU",
"YT",
"MX",
"MD",
"MC",
"MN",
"MS",
"MA",
"MZ",
"MM",
"NA",
"NR",
"NP",
"NL",
"NC",
"NZ",
"NI",
"NE",
"NG",
"NU",
"NO",
"OM",
"PK",
"PW",
"PA",
"PG",
"PY",
"PE",
"PH",
"PL",
"PT",
"PR",
"QA",
"RO",
"RU",
"RW",
"SH",
"KN",
"LC",
"PM",
"VC",
"SM",
"SA",
"SN",
"SC",
"SL",
"SG",
"SK",
"SI",
"SB",
"SO",
"ZA",
"ES",
"LK",
"SR",
"SZ",
"SE",
"CH",
"TW",
"TJ",
"TZ",
"TH",
"TG",
"TO",
"TT",
"TN",
"TR",
"TM",
"TC",
"TV",
"UG",
"UA",
"AE",
"UY",
"UZ",
"VU",
"VA",
"VE",
"VN",
"VI",
"WF",
"EH",
"WS",
"YE",
"FM",
"RE",
"ME",
"RS"
]
}
},
{
"name": "distance_radius",
"in": "query",
"required": false,
"description": "Distance radius in miles from postal code. Requires postal code to be set",
"schema": {
"type": "number",
"minimum": 1
}
},
{
"name": "ebay_domain",
"in": "query",
"required": false,
"description": "eBay domain to search on",
"schema": {
"type": "string",
"enum": [
"ebay.com",
"ebay.com.au",
"ebay.at",
"befr.ebay.be",
"benl.ebay.be",
"ebay.ca",
"cafr.ebay.ca",
"ebay.fr",
"ebay.de",
"ebay.com.hk",
"ebay.ie",
"ebay.it",
"ebay.com.my",
"ebay.nl",
"ebay.pl",
"ebay.com.sg",
"ebay.es",
"ebay.ch",
"ebay.co.uk"
],
"default": "ebay.com"
}
},
{
"name": "engine",
"in": "query",
"required": true,
"description": "Search engine to use",
"schema": {
"type": "string",
"enum": [
"ebay_search"
]
},
"example": "ebay_search"
},
{
"name": "filters",
"in": "query",
"required": false,
"description": "Comma-separated list of filters to apply",
"schema": {
"type": "string",
"pattern": "^(search_description|sale_items|deals_and_savings|free_shipping|local_pickup|fast_arrival|free_returns|returns_accepted|listed_as_lots|authenticity_guarantee|authorized_seller|benefits_charity|psa_vault)(,(search_description|sale_items|deals_and_savings|free_shipping|local_pickup|fast_arrival|free_returns|returns_accepted|listed_as_lots|authenticity_guarantee|authorized_seller|benefits_charity|psa_vault))*$"
}
},
{
"name": "include_related_results",
"in": "query",
"required": false,
"description": "When set to `true`, returns eBay's \"Results matching fewer words\" items under a separate `related_results` key, both after the exact matches and when there are none. Defaults to `false`, which leaves them out and returns an error when no exact matches are found.",
"schema": {
"type": "string",
"enum": [
"true",
"false"
]
}
},
{
"name": "layout",
"in": "query",
"required": false,
"description": "Results layout format",
"schema": {
"type": "string",
"enum": [
"list",
"grid"
]
}
},
{
"name": "num",
"in": "query",
"required": false,
"description": "Number of results per page",
"schema": {
"type": "integer",
"enum": [
60,
120,
240
]
}
},
{
"name": "page",
"in": "query",
"required": false,
"description": "Page number (starts at 1)",
"schema": {
"type": "integer",
"minimum": 1
}
},
{
"name": "postal_code",
"in": "query",
"required": false,
"description": "Postal code for distance-based searches. Only supported for certain delivery countries (US, CA, GB, AU, AT, BE, CZ, FR, DE, IT, NL, PL)",
"schema": {
"type": "string"
}
},
{
"name": "preferred_location",
"in": "query",
"required": false,
"description": "Preferred seller location",
"schema": {
"type": "string",
"enum": [
"domestic",
"regional",
"worldwide"
]
}
},
{
"name": "price_max",
"in": "query",
"required": false,
"description": "Maximum price filter (must be greater than or equal to price_min)",
"schema": {
"type": "number",
"minimum": 0
}
},
{
"name": "price_min",
"in": "query",
"required": false,
"description": "Minimum price filter",
"schema": {
"type": "number",
"minimum": 0
}
},
{
"name": "product_origin_country",
"in": "query",
"required": false,
"description": "Product origin country ISO 3166-1 alpha-2 code",
"schema": {
"type": "string",
"enum": [
"US",
"CA",
"GB",
"AF",
"AL",
"DZ",
"AS",
"AD",
"AO",
"AI",
"AG",
"AR",
"AM",
"AW",
"AU",
"AT",
"AZ",
"BS",
"BH",
"BD",
"BB",
"BY",
"BE",
"BZ",
"BJ",
"BM",
"BT",
"BO",
"BA",
"BW",
"BR",
"VG",
"BN",
"BG",
"BF",
"BI",
"KH",
"CM",
"CV",
"KY",
"CF",
"TD",
"CL",
"CN",
"CO",
"KM",
"CD",
"CG",
"CK",
"CR",
"CI",
"HR",
"CY",
"CZ",
"DK",
"DJ",
"DM",
"DO",
"EC",
"EG",
"SV",
"GQ",
"ER",
"EE",
"ET",
"FK",
"FJ",
"FI",
"FR",
"GF",
"PF",
"GA",
"GM",
"GE",
"DE",
"GH",
"GI",
"GR",
"GL",
"GD",
"GP",
"GU",
"GT",
"GG",
"GN",
"GW",
"GY",
"HT",
"HN",
"HK",
"HU",
"IS",
"IN",
"ID",
"IR",
"IQ",
"IE",
"IL",
"IT",
"JM",
"JP",
"JE",
"JO",
"KZ",
"KE",
"KI",
"KR",
"KW",
"KG",
"LA",
"LV",
"LB",
"LI",
"LT",
"LU",
"MO",
"MK",
"MG",
"MW",
"MY",
"MV",
"ML",
"MT",
"MH",
"MQ",
"MR",
"MU",
"YT",
"MX",
"MD",
"MC",
"MN",
"MS",
"MA",
"MZ",
"MM",
"NA",
"NR",
"NP",
"NL",
"NC",
"NZ",
"NI",
"NE",
"NG",
"NU",
"NO",
"OM",
"PK",
"PW",
"PA",
"PG",
"PY",
"PE",
"PH",
"PL",
"PT",
"PR",
"QA",
"RO",
"RU",
"RW",
"SH",
"KN",
"LC",
"PM",
"VC",
"SM",
"SA",
"SN",
"SC",
"SL",
"SG",
"SK",
"SI",
"SB",
"SO",
"ZA",
"ES",
"LK",
"SR",
"SZ",
"SE",
"CH",
"TW",
"TJ",
"TZ",
"TH",
"TG",
"TO",
"TT",
"TN",
"TR",
"TM",
"TC",
"TV",
"UG",
"UA",
"AE",
"UY",
"UZ",
"VU",
"VA",
"VE",
"VN",
"VI",
"WF",
"EH",
"WS",
"YE",
"FM",
"RE",
"ME",
"RS"
]
}
},
{
"name": "q",
"in": "query",
"required": false,
"description": "Search query. Either 'q' or 'category_id' must be present",
"schema": {
"type": "string"
}
},
{
"name": "sort_by",
"in": "query",
"required": false,
"description": "Sort results by",
"schema": {
"type": "string",
"enum": [
"best_match",
"price_shipping_low_to_high",
"price_shipping_high_to_low",
"distance_nearest",
"time_ending_soonest",
"time_newly_listed",
"price_low_to_high",
"price_high_to_low",
"condition_new_first",
"condition_used_first"
]
}
}
],
"security": [
{
"bearerAuth": []
}
],
"x-aisa-pricing": {
"cost_contract": "fixed_success",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.001,
"estimate_source": "profile_seed",
"evidence_source": "request_snapshot"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Published reference price: $0.001 USD per successful request. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.001
- Cost contract: fixed_success
- Published reference multiplier: 1.0
- Settlement evidence source: request_snapshot
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of advanced filters in key=value format
Buying format filter
auction, buy_it_now, best_offer Category ID to search within. Either 'q' or 'category_id' must be present
Comma-separated list of item conditions
^(new|new_opened|like_new|new_with_defects|pre_owned_fair|pre_owned_excellent|used_very_good|used_good|used_acceptable|certified_refurbished|excellent_refurbished|very_good_refurbished|good_refurbished|seller_refurbished|for_parts_or_not_working|not_specified)(,(new|new_opened|like_new|new_with_defects|pre_owned_fair|pre_owned_excellent|used_very_good|used_good|used_acceptable|certified_refurbished|excellent_refurbished|very_good_refurbished|good_refurbished|seller_refurbished|for_parts_or_not_working|not_specified))*$ISO 3166-1 alpha-2 country code
US, CA, GB, AF, AL, DZ, AS, AD, AO, AI, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BR, VG, BN, BG, BF, BI, KH, CM, CV, KY, CF, TD, CL, CN, CO, KM, CD, CG, CK, CR, CI, HR, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FJ, FI, FR, GF, PF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KR, KW, KG, LA, LV, LB, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, MD, MC, MN, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NO, OM, PK, PW, PA, PG, PY, PE, PH, PL, PT, PR, QA, RO, RU, RW, SH, KN, LC, PM, VC, SM, SA, SN, SC, SL, SG, SK, SI, SB, SO, ZA, ES, LK, SR, SZ, SE, CH, TW, TJ, TZ, TH, TG, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, UY, UZ, VU, VA, VE, VN, VI, WF, EH, WS, YE, FM, RE, ME, RS Delivery country ISO 3166-1 alpha-2 code
US, CA, GB, AF, AL, DZ, AS, AD, AO, AI, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BR, VG, BN, BG, BF, BI, KH, CM, CV, KY, CF, TD, CL, CN, CO, KM, CD, CG, CK, CR, CI, HR, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FJ, FI, FR, GF, PF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KR, KW, KG, LA, LV, LB, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, MD, MC, MN, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NO, OM, PK, PW, PA, PG, PY, PE, PH, PL, PT, PR, QA, RO, RU, RW, SH, KN, LC, PM, VC, SM, SA, SN, SC, SL, SG, SK, SI, SB, SO, ZA, ES, LK, SR, SZ, SE, CH, TW, TJ, TZ, TH, TG, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, UY, UZ, VU, VA, VE, VN, VI, WF, EH, WS, YE, FM, RE, ME, RS Distance radius in miles from postal code. Requires postal code to be set
x >= 1eBay domain to search on
ebay.com, ebay.com.au, ebay.at, befr.ebay.be, benl.ebay.be, ebay.ca, cafr.ebay.ca, ebay.fr, ebay.de, ebay.com.hk, ebay.ie, ebay.it, ebay.com.my, ebay.nl, ebay.pl, ebay.com.sg, ebay.es, ebay.ch, ebay.co.uk Search engine to use
ebay_search Comma-separated list of filters to apply
^(search_description|sale_items|deals_and_savings|free_shipping|local_pickup|fast_arrival|free_returns|returns_accepted|listed_as_lots|authenticity_guarantee|authorized_seller|benefits_charity|psa_vault)(,(search_description|sale_items|deals_and_savings|free_shipping|local_pickup|fast_arrival|free_returns|returns_accepted|listed_as_lots|authenticity_guarantee|authorized_seller|benefits_charity|psa_vault))*$When set to true, returns eBay's "Results matching fewer words" items under a separate related_results key, both after the exact matches and when there are none. Defaults to false, which leaves them out and returns an error when no exact matches are found.
true, false Results layout format
list, grid Number of results per page
60, 120, 240 Page number (starts at 1)
x >= 1Postal code for distance-based searches. Only supported for certain delivery countries (US, CA, GB, AU, AT, BE, CZ, FR, DE, IT, NL, PL)
Preferred seller location
domestic, regional, worldwide Maximum price filter (must be greater than or equal to price_min)
x >= 0Minimum price filter
x >= 0Product origin country ISO 3166-1 alpha-2 code
US, CA, GB, AF, AL, DZ, AS, AD, AO, AI, AG, AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BR, VG, BN, BG, BF, BI, KH, CM, CV, KY, CF, TD, CL, CN, CO, KM, CD, CG, CK, CR, CI, HR, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FJ, FI, FR, GF, PF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KR, KW, KG, LA, LV, LB, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, MD, MC, MN, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NO, OM, PK, PW, PA, PG, PY, PE, PH, PL, PT, PR, QA, RO, RU, RW, SH, KN, LC, PM, VC, SM, SA, SN, SC, SL, SG, SK, SI, SB, SO, ZA, ES, LK, SR, SZ, SE, CH, TW, TJ, TZ, TH, TG, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, UY, UZ, VU, VA, VE, VN, VI, WF, EH, WS, YE, FM, RE, ME, RS Search query. Either 'q' or 'category_id' must be present
Sort results by
best_match, price_shipping_low_to_high, price_shipping_high_to_low, distance_nearest, time_ending_soonest, time_newly_listed, price_low_to_high, price_high_to_low, condition_new_first, condition_used_first Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
eBay's "Results matching fewer words" items.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Error message when no results are found